Guid.GUID.ByValue (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Guid, class: GUID, class: ByValue

Package com.sun.jna.platform.win32

# Class Guid.GUID.ByValue

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Guid.GUID
com.sun.jna.platform.win32.Guid.GUID.ByValue

All Implemented Interfaces:
  `Structure.ByValue`

Enclosing class:
  Guid.GUID

public static class Guid.GUID.ByValue extends Guid.GUID implements Structure.ByValue

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Guid.GUID.ByReference, Guid.GUID.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

  `Data1, Data2, Data3, Data4`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByValue()`
  `ByValue(Guid.GUID guid)`
  `ByValue(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

  `equals, fromBinary, fromString, hashCode, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByValue

    public ByValue()

  - ### ByValue

    public ByValue(Guid.GUID guid)

  - ### ByValue

    public ByValue(Pointer memory)